* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background:
        radial-gradient(
            circle at center,
            #2b1f3b 0%,
            #16111f 40%,
            #080808 100%
        );
}

.star {
    position: fixed;
    top: 0;
    left: 0;

    z-index: 1;

    color: rgba(242, 197, 233, 0.801);

    animation: animate 5s linear infinite;

    pointer-events: none;
}

.star::before {
    content: "★";

    font-size: 25px;

    text-shadow:
        0 0 5px rgba(248, 190, 237, 0.916),
        0 0 20px rgba(248, 190, 237, 0.916),
        0 0 20px rgba(248, 190, 237, 0.916);
}

.cursor {
    width: 50px;
    height: 50px;

    border: 2px solid rgba(255,255,255,0.8);
    border-radius: 50%;

    position: fixed;
    top: 0;
    left: 0;

    pointer-events: none;
    z-index: 99999;

    transform: translate(-50%, -50%);
}

@keyframes animate {
    0% {
        transform: translateY(0) rotate(0deg);
    }

    100% {
        transform: translateY(100vh) rotate(60deg);
    }
}
.hero {
    min-height: 100vh;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    position: relative;
    z-index: 10;
}

.hero::before {
    content: "";

    position: fixed;

    width: 500px;
    height: 500px;

    border-radius: 50%;

    background:
        radial-gradient(
            circle,
            rgba(148, 93, 138, 0.12) 0%,
            rgba(248,190,237,0.04) 40%,
            transparent 70%
        );

    animation: pulse 4s ease-in-out infinite;

    z-index: -1;
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: .5;
    }

    50% {
        transform: scale(1.08);
        opacity: .8;
    }

    100% {
        transform: scale(1);
        opacity: .5;
    }
}

.site-name {
  transform: translateY(-50px);
}


body::before {
    content: "";

    position: fixed;
    inset: 0;

    pointer-events: none;

    z-index: 2;

    background:
    repeating-linear-gradient(
        to bottom,
        rgba(255,255,255,0.02) 0px,
        rgba(255,255,255,0.02) 1px,
        transparent 1px,
        transparent 3px
    );
}

body::after {
    content: "";

    position: fixed;
    inset: 0;

    pointer-events: none;

    z-index: 3;

    background-image:
        radial-gradient(
            rgba(255,255,255,0.18) 1px,
            transparent 1px
        );

    background-size: 3px 3px;

    opacity: .8;
}

.tabs {
  display: flex;
  gap: 18px;
  margin-bottom: 10px;
}

.tab-btn {
  background: none;
  border: none;
  color: whitesmoke;
  font-family: "JetBrains Mono", monospace;
  font-size: 20px;
  cursor: pointer;
}

.tab-btn.active {
  color: rgba(248, 190, 237, 0.916);
}


.tab-content {
  display: none;
}

.tab-content.active {
  display: flex;
  flex-direction: column;
  align-items: center;
}

h1 {
  font-family: "Pixelify Sans", sans-serif;
  color: whitesmoke;
  text-align: center;
  font-size: 2rem;
}

h2 {
    color: whitesmoke;
    font-family: "JetBrains Mono", monospace;
    text-align: center;
    margin-top: 3px;
}

h3 {
    color: whitesmoke;
    font-family: "JetBrains Mono", monospace;
    text-align: center;
    margin-top: 3px;
}

p {
    color: whitesmoke;
    font-family: "JetBrains Mono", monospace;
    text-align: center;
    margin-top: 5px;
}

.now-playing {
    margin-top: 15px;
}

.pfp {
    width: 150px;
    height: 150px;
    margin-top: 15px;
    border-radius: 100%;
}

.about {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 18px;

  margin-top: 20px;
}

.about img {
  width: 26px;
  height: 26px;
  filter: brightness(0) invert(1);
}

.about a {
  display: flex;
  align-items: center;
  justify-content: center;
}

.about a:hover {
    transform: scale(1.2);
}

.social-links {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 18px;

  margin-top: 20px;
}

.social-links a {
  display: flex;
  align-items: center;
  justify-content: center;

  transition: transform 0.2s ease;
}

.social-links a:hover {
  transform: scale(1.2);
}

.social-links img {
  width: 40px;
  height: 40px;

  filter: brightness(0) invert(1);
}